Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 159434

Summary: install scripts error
Product: [Fedora] Fedora Reporter: sangu <sangu.fedora>
Component: selinux-policy-targetedAssignee: Daniel Walsh <dwalsh>
Status: CLOSED RAWHIDE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: rawhide   
Target Milestone: ---   
Target Release: ---   
Hardware: noarch   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2005-06-10 09:52:04 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description sangu 2005-06-02 17:32:00 UTC
Description of problem:

$rpm -Uhv selinux-policy-*-1.23.7-3.noarch.rpm
ì¤ë¹ ì¤...               ########################################### [100%]
   1:selinux-policy-targeted########################################### [ 25%]
   2:selinux-policy-strict  ########################################### [ 50%]
   3:selinux-policy-strict-s########################################### [ 75%]
/var/tmp/rpm-tmp.7321: line 3: [: missing `]'
   4:selinux-policy-targeted########################################### [100%]
/var/tmp/rpm-tmp.87422: line 3: [: missing `]'

$rpm -q --scripts selinux-policy-targeted-sources
postinstall scriptlet (using /bin/sh):
if [ -x /usr/sbin/selinuxenabled -a -f /etc/selinux/config ]; then
        . /etc/selinux/config
        if [ "${SELINUXTYPE}" = "targeted" ] -a /usr/sbin/selinuxenabled; then
                make -C /etc/selinux/targeted/src/policy load > /dev/null 2>&1
                [ -f /etc/selinux/targeted/contexts/files/file_contexts.pre ] &&
fixfiles -l /dev/null -C /etc/selinux/targeted/contexts/files/file_contexts.pre
restore && rm -f /etc/selinux/targeted/contexts/files/file_contexts.pre
        fi
fi


Version-Release number of selected component (if applicable):
selinux-policy-targeted-sources-1.23.17-3

How reproducible:
always

Steps to Reproduce:
1. rpm -Uhv selinux-policy-*.rpm
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Daniel Walsh 2005-06-08 12:22:32 UTC
Fixed in selinux-policy-targeted-1.23.18-1